> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get company members

> Get all members (sessions) of a company.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /companies/{companyId}/members
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /companies/{companyId}/members:
    get:
      tags:
        - Company
      summary: Get company members
      description: Get all members (sessions) of a company.
      operationId: Members
      parameters:
        - in: path
          name: companyId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  allOf:
                    - properties:
                        eventData: {}
                        checklistTasks: {}
                        outboundHistory: {}
                        plan:
                          type: string
                        telegramUsername:
                          type: string
                        telegramChatId:
                          type: string
                        instagramUsername:
                          type: string
                        instagramId:
                          type: string
                        facebookId:
                          type: string
                        phone:
                          type: string
                        sla:
                          type: number
                          format: double
                        companyName:
                          type: string
                        platform:
                          type: string
                        deviceType:
                          type: string
                        companyId:
                          type: string
                        avatar:
                          type: string
                        location: {}
                        lastPageView: {}
                        unsubscribedAt:
                          type: string
                          format: date-time
                        unsubscribeReason:
                          type: string
                        lastFeedbackReport:
                          type: string
                          format: date-time
                        lastActivity:
                          type: string
                          format: date-time
                        lastHeardFrom:
                          type: string
                          format: date-time
                        gleapHash:
                          type: string
                        gleapId:
                          type: string
                        customData: {}
                        project:
                          properties:
                            isValid:
                              properties: {}
                              type: object
                            createFromHexString:
                              properties: {}
                              type: object
                            createFromTime:
                              properties: {}
                              type: object
                            generate:
                              properties: {}
                              type: object
                            cacheHexString: {}
                          type: object
                        email:
                          type: string
                        userId:
                          type: string
                        organisation:
                          properties:
                            isValid:
                              properties: {}
                              type: object
                            createFromHexString:
                              properties: {}
                              type: object
                            createFromTime:
                              properties: {}
                              type: object
                            generate:
                              properties: {}
                              type: object
                            cacheHexString: {}
                          type: object
                        name:
                          type: string
                        countFeedbackComments:
                          type: number
                          format: double
                        countFeedbackReports:
                          type: number
                          format: double
                        identityHistory:
                          items:
                            properties:
                              changes:
                                properties:
                                  email:
                                    properties:
                                      to:
                                        type: string
                                      from:
                                        type: string
                                    type: object
                                  userId:
                                    properties:
                                      to:
                                        type: string
                                      from:
                                        type: string
                                    type: object
                                  name:
                                    properties:
                                      to:
                                        type: string
                                      from:
                                        type: string
                                    type: object
                                type: object
                              by:
                                properties:
                                  referer:
                                    type: string
                                  originalUrl:
                                    type: string
                                  hasApiKey:
                                    type: boolean
                                  userEmail:
                                    type: string
                                  source:
                                    type: string
                                  method:
                                    type: string
                                  userId:
                                    type: string
                                type: object
                              _id: {}
                              at:
                                type: string
                                format: date-time
                            required:
                              - at
                            type: object
                          type: array
                        memory:
                          items:
                            properties:
                              actorUserId:
                                properties:
                                  isValid:
                                    properties: {}
                                    type: object
                                  createFromHexString:
                                    properties: {}
                                    type: object
                                  createFromTime:
                                    properties: {}
                                    type: object
                                  generate:
                                    properties: {}
                                    type: object
                                  cacheHexString: {}
                                type: object
                              actor:
                                type: string
                              updatedAt:
                                type: string
                                format: date-time
                              createdAt:
                                type: string
                                format: date-time
                              content:
                                type: string
                              description:
                                type: string
                              name:
                                type: string
                            required:
                              - actor
                              - updatedAt
                              - createdAt
                              - content
                              - description
                              - name
                            type: object
                          type: array
                        sessions:
                          type: number
                          format: double
                        emailOnly:
                          type: boolean
                        blocked:
                          type: boolean
                        unsubscribed:
                          type: boolean
                        firstActivity:
                          type: string
                          format: date-time
                        lang:
                          type: string
                        updatedAt:
                          type: string
                          format: date-time
                        value:
                          type: number
                          format: double
                        createdAt:
                          type: string
                          format: date-time
                        tags:
                          items:
                            type: string
                          type: array
                        _id:
                          properties:
                            isValid:
                              properties: {}
                              type: object
                            createFromHexString:
                              properties: {}
                              type: object
                            createFromTime:
                              properties: {}
                              type: object
                            generate:
                              properties: {}
                              type: object
                            cacheHexString: {}
                          type: object
                      required:
                        - countFeedbackComments
                        - countFeedbackReports
                        - identityHistory
                        - memory
                        - sessions
                        - emailOnly
                        - blocked
                        - unsubscribed
                        - firstActivity
                        - lang
                        - updatedAt
                        - value
                        - createdAt
                        - tags
                        - _id
                      type: object
                    - $ref: '#/components/schemas/Document_any.any.any_'
                    - properties:
                        _id:
                          $ref: '#/components/schemas/ObjectId'
                      required:
                        - _id
                      type: object
                type: array
      security:
        - jwt: []
components:
  schemas:
    Document_any.any.any_:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    ObjectId:
      type: string
    FlattenMaps_T_:
      properties: {}
      type: object
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````